Skip to main content

Update User Webhook

PATCH 

/api/v2/public/webhooks/user/:webhookId

Updates an existing user webhook. This endpoint allows you to modify the URL, events, or other settings of an already registered user webhook.

Request​

Path Parameters

    webhookId stringrequired

    Webhook id

    Example: c8c7913d-3e1f-4e4c-a646-81282ecba2b8

Body

required
    url string

    The URL that will be called when an event is triggered.

    events string[]required

    Possible values: [all, facility.user-connection.accepted, facility.user-connection.rejected, facility.creation.accepted, facility.creation.rejected]

    The events that this webhook will listen to.

    secrets string[]
      The secrets that will be used to verify the authenticity of the webhook.
    If no value is provided it will auto generate a secret.
    Secrets are used to sign and validate the payload of the webhook.
    It will accept 2 secrets to allow a rotation strategy without service downtime.

Responses​

Schema
    data object
    id stringrequired

    If of the Webhook

    url stringrequired

    Url of the Webhook

    events string[]required

    Possible values: [all, facility.user-connection.accepted, facility.user-connection.rejected, facility.creation.accepted, facility.creation.rejected]

    List of events that this webhook will listen to

    clientId stringrequired
    secrets string[]required

    List of webhook secrets

Loading...